summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--gtk2_ardour/cocoacarbon.mm4
-rwxr-xr-xlibs/glibmm2/autogen.sh12
-rwxr-xr-xtools/osx_packaging/osx_build3
3 files changed, 13 insertions, 6 deletions
diff --git a/gtk2_ardour/cocoacarbon.mm b/gtk2_ardour/cocoacarbon.mm
index b60352eb47..6317cec6c6 100644
--- a/gtk2_ardour/cocoacarbon.mm
+++ b/gtk2_ardour/cocoacarbon.mm
@@ -18,6 +18,8 @@
#include <Carbon/Carbon.h>
#undef check // stupid, stupid carbon
+#undef YES // stupid, stupid gtkmm and/or NSObjC
+#undef NO // ditto
#include "ardour_ui.h"
#include "actions.h"
@@ -117,6 +119,6 @@ ARDOUR_UI::platform_setup ()
/* if invoked from the command line, make sure we're visible */
- [NSApp activateIgnoringOtherApps:YES];
+ [NSApp activateIgnoringOtherApps:1];
}
}
diff --git a/libs/glibmm2/autogen.sh b/libs/glibmm2/autogen.sh
index f2f287d325..563cdad3a3 100755
--- a/libs/glibmm2/autogen.sh
+++ b/libs/glibmm2/autogen.sh
@@ -2,11 +2,17 @@
# check all tools first
+LIBTOOLIZE=libtoolize
+
if /usr/bin/which libtoolize >/dev/null 2>&1 ; then
:
else
- echo "You do not have libtool installed, which is very sadly required to build part of Ardour"
- exit 1
+ if /usr/bin/which glibtoolize >/dev/null 2>&1 ; then
+ LIBTOOLIZE=glibtoolize
+ else
+ echo "You do not have libtool installed, which is very sadly required to build part of Ardour"
+ exit 1
+ fi
fi
if /usr/bin/which automake >/dev/null 2>&1 ; then
:
@@ -26,7 +32,7 @@ srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
echo "Adding libtools."
-libtoolize --automake --copy --force
+$LIBTOOLIZE --automake --copy --force
echo "Building macros."
aclocal -I "$srcdir/scripts" $ACLOCAL_FLAGS
diff --git a/tools/osx_packaging/osx_build b/tools/osx_packaging/osx_build
index ff08c7e933..4160b07d56 100755
--- a/tools/osx_packaging/osx_build
+++ b/tools/osx_packaging/osx_build
@@ -107,7 +107,6 @@ if test x$WITH_JACK != x ; then
cp /usr/local/lib/jack/jack_coreaudio.so $Frameworks
cp /usr/local/bin/jackd $APPROOT/MacOS
fi
-cp ../../gtk2_ardour/evtest $APPROOT/MacOS/gtkevents
cp -R $GTKQUARTZ_ROOT/etc/* $Etc
echo "Copying all Pango modules ..."
@@ -203,7 +202,7 @@ done
# now fix up the executables
echo "Fixing up executable dependency names ..."
-executables="Ardour2 gtkevents"
+executables="Ardour2"
if test x$WITH_JACK != x ; then
executables="$executables jackd"
fi